Subject: Joypad on CD32
From: [email-masked] (Daniel John Lee Parnell)
To: [email-masked] (amos Amos Mailing List)
Date: Wed, 8 Sep 1993 09:24:11 +1000 (EST)

G'day!
	If I were desgining something like that, I wouldn't have serial
anything!  I would use the lines for the paddles to select which button I
wanted to read (giving 4 buttons) and then reading the fire button.  This
does have it's drawbacks though because it would necesitate reading the
joystick 4 times to find the status of all of the buttons, but I think it
would probably be quicker and less complicated (not to mention cheaper to
make) than some sort of serial thingy.

				Daniel

Daniel Parnell  -  Email to [email-masked]   -   AMIGA 500 1 MEG
 Second Year Applied Physics student at R.M.I.T. Melbourne Australia.   *:|()
   People who drink petrol shouldn't smoke.  AMOS 1.34 with Compiler and 3D
      Squaxx Dek Thargo since prog 579 - C64 Oric Amiga Mac CCPM - Forth